using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.AE
{
    /// <summary>
    /// 触发设置
    /// </summary>
    [Description("触发设置")]
    public class T_AE_DOSET_DEPARTMENT_USER : MesEntityBase
    {
        /// <summary>
        /// 触发部门ID
        /// </summary>
        [Description("触发部门")]
        [FormFieldTable]
        [FormFieldEdit]
        [DataFieldForeignKey("Nav_Department")]
        public Guid DEPARTMENT_ID { get; set; }

        /// <summary>
        /// 触发部门
        /// </summary>
        [Description("触发部门")]
        public virtual T_FM_DEPARTMENT Nav_Department { get; set; }

        /// <summary>
        /// 岗位
        /// </summary>
        [Description("岗位")]
        [FormFieldTable]
        [FormFieldEdit]
        [DataFieldForeignKey("Nav_Post")]
        public Guid POST_ID { get; set; }

        /// <summary>
        /// 岗位
        /// </summary>
        [Description("岗位")]
        public virtual T_FM_USER_POST Nav_Post { get; set; }


        /// <summary>
        /// 操作类型
        /// </summary>
        [Description("操作类型")]
        [FormFieldTable]
        [FormFieldEdit]
        public EventType EVENTTYPE { get; set; }

    }
}
